DOMMaterialiser
Keywords: uk.ac.bbk.dcs.automed.xml.materialisation.DOMMaterialiser class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.materialisation
Class DOMMaterialiser

    java.lang.Object
      uk.ac.bbk.dcs.automed.xml.materialisation.Materialiser
          uk.ac.bbk.dcs.automed.xml.materialisation.DOMMaterialiser

    public class DOMMaterialiser

extends Materialiser

TODO: investigate what happens to text in mixed elements TODO: is it possible to make class work without UIDs? TODO: make generic root creation optional and use superclass's switch.

Author:
  Lucas Zamboulis

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.xml.materialisation.Materialiser
`_dataSourceSchemas, _file, _globalSchema, _logger, _qp, _qpc, _schemaUIDDoc, _useGenericRoot, genericRoot`

Constructor Summary
`DOMMaterialiser(Schema src, Schema[] tgts, java.lang.String absolutePath, java.lang.String name, QueryProcessorConfiguration qpc)`

Method Summary
`void` | `materialiseSchema()`

Methods inherited from class uk.ac.bbk.dcs.automed.xml.materialisation.Materialiser
`getAttributeExtent, getElementExtent, getGenericRoot, getMaterialisedFile, getNestListExtent, getTextExtent, getTextExtent, performQuery, setGenericRoot`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMMaterialiser

    public DOMMaterialiser(Schema src,
                           Schema[] tgts,
                           java.lang.String absolutePath,
                           java.lang.String name,
                           QueryProcessorConfiguration qpc)

Method Detail

### materialiseSchema

    public void materialiseSchema()
                           throws XMLMaterialisationException

  Specified by:
    `materialiseSchema` in class `Materialiser`
  Throws:
    `XMLMaterialisationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD